Loading...
Searching...
No Matches
field_expr_v2_nonlinear_terminal_field_o_characteristic< T, M >

## Detailed Description

template<class T, class M>
class rheolef::details::field_expr_v2_nonlinear_terminal_field_o_characteristic< T, M >

Definition at line 1359 of file field_expr_terminal.h.

Inheritance diagram for field_expr_v2_nonlinear_terminal_field_o_characteristic< T, M >:

## Public Types

typedef field_expr_v2_nonlinear_terminal_field_o_characteristic_rep< T, M > | rep
typedef smart_pointer< rep > | base
typedef rep::size_type | size_type
typedef rep::memory_type | memory_type
typedef rep::result_type | result_type
typedef rep::float_type | float_type
typedef rep::scalar_type | scalar_type
typedef rep::value_type | value_type
Public Types inherited from smart_pointer< field_expr_v2_nonlinear_terminal_field_o_characteristic_rep< T, M > >
typedef field_expr_v2_nonlinear_terminal_field_o_characteristic_rep< T, M > | handled_type
typedef base::internal | internal

## Public Member Functions

| field_expr_v2_nonlinear_terminal_field_o_characteristic (const field_o_characteristic< T, M > &uoX)
| field_expr_v2_nonlinear_terminal_field_o_characteristic (const field_basic< T, M > &uh, const characteristic_basic< T, M > &X)
space_constant::valued_type | valued_tag () const
void | initialize (const piola_on_pointset< float_type > &pops, const integrate_option &iopt)
void | initialize (const space_basic< float_type, memory_type > &Xh, const piola_on_pointset< float_type > &pops, const integrate_option &iopt)
template<class Value >
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< Value, Eigen::Dynamic, 1 > &value) const
template<class Value >
bool | valued_check () const
Public Member Functions inherited from smart_pointer< field_expr_v2_nonlinear_terminal_field_o_characteristic_rep< T, M > >
| smart_pointer (field_expr_v2_nonlinear_terminal_field_o_characteristic_rep< T, M > *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< field_expr_v2_nonlinear_terminal_field_o_characteristic_rep< T, M > > &x)
smart_pointer< field_expr_v2_nonlinear_terminal_field_o_characteristic_rep< T, M > > & | operator= (const smart_pointer< field_expr_v2_nonlinear_terminal_field_o_characteristic_rep< T, M > > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, C >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, C > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, C > & | operator= (const smart_pointer_base< T, C > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
T * | pointer ()
T & | data ()
T * | operator-> ()
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Static Public Attributes

static const space_constant::valued_type | valued_hint = rep::valued_hint

## Member Typedef Documentation

## rep

template<class T , class M >

typedef field_expr_v2_nonlinear_terminal_field_o_characteristic_rep<T,M> rep

Definition at line 1365 of file field_expr_terminal.h.

## base

template<class T , class M >

typedef smart_pointer<rep> base

Definition at line 1366 of file field_expr_terminal.h.

## size_type

template<class T , class M >

typedef rep::size_type size_type

Definition at line 1367 of file field_expr_terminal.h.

## memory_type

template<class T , class M >

typedef rep::memory_type memory_type

Definition at line 1368 of file field_expr_terminal.h.

## result_type

template<class T , class M >

typedef rep::result_type result_type

Definition at line 1369 of file field_expr_terminal.h.

## float_type

template<class T , class M >

typedef rep::float_type float_type

Definition at line 1370 of file field_expr_terminal.h.

## scalar_type

template<class T , class M >

typedef rep::scalar_type scalar_type

Definition at line 1371 of file field_expr_terminal.h.

## value_type

template<class T , class M >

typedef rep::value_type value_type

Definition at line 1372 of file field_expr_terminal.h.

## Constructor & Destructor Documentation

## field_expr_v2_nonlinear_terminal_field_o_characteristic() [1/2]

template<class T , class M >

field_expr_v2_nonlinear_terminal_field_o_characteristic | ( | const field_o_characteristic< T, M > & | uoX | ) |

Definition at line 1377 of file field_expr_terminal.h.

## field_expr_v2_nonlinear_terminal_field_o_characteristic() [2/2]

template<class T , class M >

field_expr_v2_nonlinear_terminal_field_o_characteristic | ( | const field_basic< T, M > & | uh,
|  | const characteristic_basic< T, M > & | X
| ) |  |

Definition at line 1380 of file field_expr_terminal.h.

## Member Function Documentation

## valued_tag()

template<class T , class M >

space_constant::valued_type valued_tag | ( |  | ) | const

Definition at line 1385 of file field_expr_terminal.h.

## initialize() [1/2]

template<class T , class M >

void initialize | ( | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 1387 of file field_expr_terminal.h.

## initialize() [2/2]

template<class T , class M >

void initialize | ( | const space_basic< float_type, memory_type > & | Xh,
|  | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 1392 of file field_expr_terminal.h.

## evaluate()

template<class T , class M >
template<class Value >

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Value, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 1399 of file field_expr_terminal.h.

## valued_check()

template<class T , class M >
template<class Value >

bool valued_check | ( |  | ) | const

Definition at line 1406 of file field_expr_terminal.h.

## Member Data Documentation

## valued_hint

template<class T , class M >

const space_constant::valued_type valued_hint = rep::valued_hint

static

Definition at line 1373 of file field_expr_terminal.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/field_expr_terminal.h